package com.ruoyi.ie.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校考生技能考核办法对象 a_enroll_skill
 * 
 * @author voluntary
 * @date 2023-11-26
 */
public class AEnrollSkill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 院校id */
    @Excel(name = "院校id")
    private Long universityId;

    /** 院校名称 */
    @Excel(name = "院校名称")
    private String universityName;

    /** 专业组 */
    @Excel(name = "专业组")
    private String majorGroup;

    /** 专业类别 */
    @Excel(name = "专业类别")
    private String majorName;

    /** 专业方向 */
    @Excel(name = "专业方向")
    private String majorDirection;

    /** 总分 */
    @Excel(name = "总分")
    private Double scoreTotal;

    /** 分组 */
    @Excel(name = "分组")
    private String itemGroup;

    /** 考生类别 */
    @Excel(name = "考生类别")
    private String examineeType;

    /** 考核项目类 */
    @Excel(name = "考核项目类")
    private String itemType;

    /** 考核项目 */
    @Excel(name = "考核项目")
    private String itemName;

    /** 值类型:Score,Boolean */
    @Excel(name = "值类型:Score,Boolean")
    private String valueType;

    /** 值内容 */
    @Excel(name = "值内容")
    private String value;

    /** 矫正类型:0不支持,1固定分2固定比例 */
    @Excel(name = "矫正类型:0不支持,1固定分2固定比例")
    private Integer correctType;

    /** 矫正参考值 */
    @Excel(name = "矫正参考值")
    private String correctValue;

    /** 备注 */
    @Excel(name = "备注")
    private String comment;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setUniversityId(Long universityId) 
    {
        this.universityId = universityId;
    }

    public Long getUniversityId() 
    {
        return universityId;
    }
    public void setUniversityName(String universityName) 
    {
        this.universityName = universityName;
    }

    public String getUniversityName() 
    {
        return universityName;
    }
    public void setMajorGroup(String majorGroup) 
    {
        this.majorGroup = majorGroup;
    }

    public String getMajorGroup() 
    {
        return majorGroup;
    }
    public void setMajorName(String majorName) 
    {
        this.majorName = majorName;
    }

    public String getMajorName() 
    {
        return majorName;
    }
    public void setMajorDirection(String majorDirection) 
    {
        this.majorDirection = majorDirection;
    }

    public String getMajorDirection() 
    {
        return majorDirection;
    }
    public void setScoreTotal(Double scoreTotal) 
    {
        this.scoreTotal = scoreTotal;
    }

    public Double getScoreTotal() 
    {
        return scoreTotal;
    }
    public void setItemGroup(String itemGroup) 
    {
        this.itemGroup = itemGroup;
    }

    public String getItemGroup() 
    {
        return itemGroup;
    }
    public void setExamineeType(String examineeType) 
    {
        this.examineeType = examineeType;
    }

    public String getExamineeType() 
    {
        return examineeType;
    }
    public void setItemType(String itemType) 
    {
        this.itemType = itemType;
    }

    public String getItemType() 
    {
        return itemType;
    }
    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }
    public void setValueType(String valueType) 
    {
        this.valueType = valueType;
    }

    public String getValueType() 
    {
        return valueType;
    }
    public void setValue(String value) 
    {
        this.value = value;
    }

    public String getValue() 
    {
        return value;
    }
    public void setCorrectType(Integer correctType) 
    {
        this.correctType = correctType;
    }

    public Integer getCorrectType() 
    {
        return correctType;
    }
    public void setCorrectValue(String correctValue) 
    {
        this.correctValue = correctValue;
    }

    public String getCorrectValue() 
    {
        return correctValue;
    }
    public void setComment(String comment) 
    {
        this.comment = comment;
    }

    public String getComment() 
    {
        return comment;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("universityId", getUniversityId())
            .append("universityName", getUniversityName())
            .append("majorGroup", getMajorGroup())
            .append("majorName", getMajorName())
            .append("majorDirection", getMajorDirection())
            .append("scoreTotal", getScoreTotal())
            .append("itemGroup", getItemGroup())
            .append("examineeType", getExamineeType())
            .append("itemType", getItemType())
            .append("itemName", getItemName())
            .append("valueType", getValueType())
            .append("value", getValue())
            .append("correctType", getCorrectType())
            .append("correctValue", getCorrectValue())
            .append("comment", getComment())
            .toString();
    }
}
